
-- @AutoRun
-- drop table tl_culture_narrative;



CREATE TABLE tl_culture_narrative (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    narrative_notes text NULL,
    color_code varchar(200) NULL,
    culture_element_number numeric(12)  NULL,
    culture_element_quest_id numeric(12)  NULL,
    culture_element_rating_id numeric(12)  NULL
    );



ALTER TABLE tl_culture_narrative ADD    
    CONSTRAINT pk_tl_culture_narrative PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_culture_narrative_culture_element_number 
    ON tl_culture_narrative (culture_element_number);

    CREATE INDEX idx_tl_culture_narrative_culture_element_quest_id 
    ON tl_culture_narrative (culture_element_quest_id);

    CREATE INDEX idx_tl_culture_narrative_culture_element_rating_id 
    ON tl_culture_narrative (culture_element_rating_id);
